<template>
    <div>
        <ac-collection-grouped-card
              ref="ac_collection_grouped_card"
              :url="collection.url"
              :method="collection.method"
              :params="collection.params"
              :loading_image="collection.loading_image"
              :sort_key="collection.sort_key"
              :bulk="true"
              :card_links="card_links"
              :card_options="{
                'is_delete': true
              }"
              :tabs_attrs="{ 'card': true, pills: true }"
              :ac_cursor="collection.ac_cursor"
              :card_img_hover="hover_html"
              ac_type="accordion"
              card_header=""
              align="horizontal"
              card_title="name"
              card_subtitle="email"
              card_body="body"
              card_footer="name"
              card_img="image"
              card_body_html="p"
              group_key="postId"
            >
              <template v-slot:header>
                Main Header
              </template>

              <template
                v-slot:group_header="{ title }"
              >
                Group {{ title }}
              </template>

              <template
                v-slot:group_footer
              >
                group Footer
              </template>

              <template v-slot:footer>
                Main footer
              </template>
            </ac-collection-grouped-card>
    </div>
</template>

<script>
export default {
  data: function () {
      return {
          hover_html: '<div class="bg-light text-success w-100 h-100 d-flex justify-content-center align-items-center">HOVER</div>',
          collection: {
        url: "https://jsonplaceholder.typicode.com/posts/1/comments",
        loading_image:
          "https://loading.io/spinners/dual-ring/lg.dual-ring-loader.gif",
        ac_cursor: {
          postId: 1
        },
        method: "GET",
        params: {
          headers: {
            "Custom-Header": "My custom header"
          }
        },
        sort_key: "name"
      },
            card_links: [
        {
          label: 'First',
          href: '/first',
          variant: 'primary',
        },
        {
          label: 'Second',
          href: '/second',
          variant: 'success',
        },
      ],
      }
  },
  mounted () {
      this.$refs.ac_collection_grouped_card.set_ajax()
  }
}
</script>

<style>

</style>
